Package org.apache.solr.client.solrj.io.eval

## Class DbscanEvaluator.ClusterPoint

- java.lang.Object
- - org.apache.solr.client.solrj.io.eval.DbscanEvaluator.ClusterPoint

All Implemented Interfaces:
  `org.apache.commons.math3.ml.clustering.Clusterable`

Enclosing class:
  DbscanEvaluator

    public static class DbscanEvaluator.ClusterPoint
    extends Object
    implements org.apache.commons.math3.ml.clustering.Clusterable

### Constructor Summary

Constructors
`ClusterPoint​(String id, double[] point)`

### Method Summary

All Methods Instance Methods Concrete Methods
`String` `getId()`
`double[]` `getPoint()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ClusterPoint

    public ClusterPoint​(String id,
                        double[] point)

### Method Detail

#### getPoint

    public double[] getPoint()

Specified by:
  `getPoint` in interface `org.apache.commons.math3.ml.clustering.Clusterable`

#### getId

    public String getId()